
appModule.controller('jiweiSanziController', ['$scope', '$state', 'appService', '$timeout', '$stateParams', '$ionicPopup', '$ionicScrollDelegate', '$sce', function($scope, $state, appService, $timeout, $stateParams, $ionicPopup, $ionicScrollDelegate, $sce) {
  $scope.stateName = $state.current.name;
  $scope.region = $stateParams.region
  $scope.tabIndex = 0;
  $scope.dataArray = [[], [], [], []];
  $scope.result = [];
  $scope.pageNext = [0, 0, 0, 0];
  $scope.domore = [];
  $scope.filterData = {};
  $scope.$on('$ionicView.loaded', function() {
    $scope.loadSource(function() {
      return $.mobiscroll
    }, function() {
      $scope.initDateArr('createTime');
    })
    $scope.getMenu($scope.init)
  });
  /* 初始化日期插件 */
  $scope.initDateArr = function(id) {
    var currYear = (new Date()).getFullYear();
    //初始化日期控件
    var opt = {
      preset: 'date', //日期，可选：date\datetime\time\tree_list\image_text\select
      theme: 'android-ics light', //皮肤样式，可选：default\android\android-ics light\android-ics\ios\jqm\sense-ui\wp light\wp
      display: 'bottom', //显示方式 ，可选：modal\inline\bubble\top\bottom
      mode: 'scroller', //日期选择模式，可选：scroller\clickpick\mixed
      lang: 'zh',
      dateFormat: 'yyyy-mm', // 日期格式
      setText: '确定', //确认按钮名称
      cancelText: '取消',//取消按钮名籍我
      dateOrder: 'yyyymmd', //面板中日期排列格式
      monthText: '月', yearText: '年', //面板中年月日文字
      // showNow: true,
      nowText: "本月",
      startYear: 2016, //开始年份  
      endYear: currYear //结束年份  
      //endYear:2099 //结束年份
      , onShow: function(html, valueText, inst) {
        // console.log(valueText)
        $(html).find('table td').eq(2).hide()
      }
    };
    $("#" + id).mobiscroll(opt)
  }
  $scope.getMenu = function(callback) {
    var data = {
      page: 0,
      size: 999
    }
    appService.getData(urlMap.jiweiSanziType, data,
      function(res) {
        $scope.navs = res.data
        callback()
      });
  }
  $scope.changeTab = function(i) {
    $scope.tabIndex = i;
    $scope.init()
  }
  $scope.openFilter = function() {
    $scope.tabIndexLast = $scope.tabIndex == 3 ? $scope.tabIndexLast : $scope.tabIndex
    $scope.filterData.typeId = $scope.filterData.typeId || $scope.navs[$scope.tabIndex].id
    $scope.showFilter = !$scope.showFilter;
  }
  $scope.filterReset = function(forClose) {
    $scope.filterData = {}
    $('#createTime').val('')
    if (forClose) {
      $scope.showFilter = false;
      $scope.tabIndex = $scope.tabIndexLast
    }
  }
  $scope.changeFilterType = function(id) {
    $scope.filterData.typeId = id;
  }
  $scope.filterSubmit = function() {
    $scope.tabIndex = 3
    $scope.showFilter = false;
    $scope.init()
  }
  $scope.init = function() {
    $scope.domore[$scope.tabIndex] = true;
    $scope.pageNext[$scope.tabIndex] = 0
    $scope.dataArray[$scope.tabIndex] = null;
    $scope.goTop()
  }
  $scope.queryArray = function(page) {
    /* if (!$scope.region.regionCode) {
      $scope.alert('非法访问, 请重新尝试', null, $scope.viewGoback)
      $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
      $scope.domore[$scope.tabIndex] = false;
      return
    } */ //!测试
    var data = {
      regionCode: $scope.region.regionCode,
      type: $scope.filterData.typeId || $scope.navs[$scope.tabIndex].id,
      title: $scope.filterData.title,
      createTime: $('#createTime').val(),
      state: 1,
      size: 10,
      page: page
    }
    appService.getData(urlMap.jiweiSanzi + '/app', data,
      function(results) {
        $scope.$broadcast('scroll.infiniteScrollComplete'); //懒加载更多结束
        if (!results) return;
        if (page < 1) {
          $scope.dataArray[$scope.tabIndex] = null;
        }
        var list = results.data, length = list.length, size = results.size || 10,
          articles = $scope.dataArray[$scope.tabIndex] || []
          ;
        if (length < size) $scope.domore[$scope.tabIndex] = false;
        else {
          $timeout(function() {
            $scope.domore[$scope.tabIndex] = true;
          }, 200)
        }
        $scope.dataArray[$scope.tabIndex] = articles.concat(list);
      });
  }
 /*  $scope.showDetial = function(item) {
    $scope.goState('artItem', {
      url: urlMap.jiweiJingshijiaoyuItem + '/' + item.id,
    })
  } */
  $scope.showDetial = function(item) {
    $scope.goState('artItem', {
      url: urlMap.jiweiSanzi + '/' + item.id,
    })
  }
  $scope.doRefresh = function() {
    if ($scope.tabIndex == 3) return
    $timeout(function() {
      $scope.$broadcast('scroll.refreshComplete'); //上拉刷新结束
    })
    $scope.init()
  }
  $scope.onInfinite = function() {
    $scope.queryArray($scope.pageNext[$scope.tabIndex]++);
  }
}]);

