
appModule.controller('intelligentDFuncLianluozhanController', ['$scope', '$ionicHistory', '$state', 'appService', '$timeout', '$ionicPopup', '$sce', function($scope, $ionicHistory, $state, appService, $timeout, $ionicPopup, $sce) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'lianluozhan';
  $scope.stateName = $state.current.name;
  $scope.msgList;
  $scope.placeholder = '';
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.form = {};
  $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })

  $scope.form = {
    // regionLevel4: 0
  };
  $scope.regionLevel4 = [
    // { id: 0, name: '乡镇' },
    { id: '0', name: '全部' },
    { id: '3', name: '快大茂镇' },
    { id: '13', name: '光华镇' },
    { id: '14', name: '大安镇' },
    { id: '15', name: '大泉源乡' },
    { id: '16', name: '东来乡' },
    { id: '1', name: '富江乡' },
    { id: '2', name: '金斗乡' },
    { id: '4', name: '三棵榆树镇' },
    { id: '5', name: '石湖镇' },
    { id: '6', name: '四棚乡' },
    { id: '7', name: '二密镇' },
    { id: '8', name: '兴林镇' },
    { id: '9', name: '西江镇' },
    { id: '10', name: '英额布镇' },
    { id: '11', name: '经开区' },
    { id: '12', name: '果松镇' }
  ];
  var llzlistPart = [
    { id: '18', name: '长安社区联络站' },
    { id: '17', name: '茂山社区联络站' },
    { id: '19', name: '新风社区联络站' },
    { id: '20', name: '利民社区联络站' },
    { id: '21', name: '团结社区联络站' },
    { id: '22', name: '文化社区联络站' },
    { id: '23', name: '丽景社区联络站' },
    { id: '24', name: '东安社区联络站' }
  ]
  var llzlistAll = [
    { id: '1', name: '茧场村联络站' },
    { id: '2', name: '胜利村联络站' },
    { id: '3', name: '爱国村联络站' },
    { id: '4', name: '鲜丰村联络站' },
    { id: '5', name: '裕民村联络站' },
    { id: '6', name: '大川村联络站' },
    { id: '7', name: '大泉源村联络站' },
    { id: '8', name: '红石村联络站' },
    { id: '9', name: '城墙村联络站' },
    { id: '10', name: '和平村联络站' }
  ].concat(llzlistPart)
  $scope.llzlist = llzlistAll
  $scope.changeSelectLianluozhan = function(obj) {
    console.log(obj)
    if (obj.id == '0') $scope.llzlist = llzlistAll
    else $scope.llzlist = llzlistPart
  }

  $scope.removeFile = function(reset) {
    $scope.showUploadFiles = []; //预览
    $scope.showUploadNames = []; //预览失败 显示文件名
    if (!reset) {
      $('#localPhotoFile').val(''); //本地
      $scope.cameraFile = null; //拍摄
    }
  }
  /* 本地附件读取 */
  function readerfile(file) {
    return new Promise(function(resolve, reject) {
      var reader = new FileReader();
      reader.onload = function() {
        resolve(reader.result);
      };
      if (file) {
        reader.readAsDataURL(file)
      }
    })
  }
  $scope.fileChangeEvent = function() {
    var files = $('#localPhotoFile')[0].files;
    for (var i = 0; i < files.length; i++) {
      $scope.fileType = thisfileType(files[i].name);
      if ($scope.fileType == 'error') {
        $scope.alert('上传文件格式有误')
        return;
      }
      if (files[i].size > 100 * 1024 * 1024) {
          $scope.alert('文件体积过大, 最大为100M')
          return;
      }
      $scope.removeFile('reset');
      try {
        readerfile(files[i]).then(function(e) {
          $scope.$apply(function() {
            if ($scope.fileType == 2) {
              $scope.showUploadFiles.push($sce.trustAsResourceUrl(e))
            }
            else $scope.showUploadFiles.push(e)
          })
        })
      } catch (e) {
        alert(e);
        $scope.$apply(function() {
          $scope.showUploadNames.push(files);
        })
      }
    }
  }
  /***
   * use camera
   */
  $scope.useCamera = function(type) {
    //开始录像(最长录制时间:60秒)
    if (type == 1) navigator.device.capture.captureImage(success, onError, { limit: 1 });
    if (type == 2) navigator.device.capture.captureVideo(success, onError);
    function success(mediaFiles) {
      $scope.showUploadFiles = [];
      for (var i = 0; i < mediaFiles.length; i++) {
        var name = mediaFiles[i].name;
        var path = mediaFiles[i].fullPath;
        $scope.fileType = thisfileType(name);
        if ($scope.fileType == 'error') {
          $scope.alert('上传文件格式有误')
          return;
        }
        if (files[i].size > 100 * 1024 * 1024) {
          $scope.alert('文件体积过大, 最大为100M')
          return;
        }
        $scope.removeFile('reset');
        $scope.$apply(function() {
          if ($scope.fileType == 2) {
            $scope.showUploadFiles.push($sce.trustAsResourceUrl(path))
          }
          else
            $scope.showUploadFiles.push(path)
        })
        $scope.cameraFile = mediaFiles[i];
      }
    }
    //录制失败
    function onError(error) {
      $scope.alert('未进行拍摄！错误码:' + error.code);
    }
  }
  function thisfileType(fileName) {
    var picExt = ".jpg|.jpeg|.png|";
    var vioExt = ".mp4|.3gp|.avi|";
    if (!fileName) return null
    var extName = fileName.substring(fileName.lastIndexOf(".")).toLowerCase();//（把路径中的所有字母全部转换为小写）   
    /* 检查文件类型  */
    if (picExt.indexOf(extName + "|") != -1) return 1;
    if (vioExt.indexOf(extName + "|") != -1) return 2;
    return 'error'
  }
}]);

