appModule.controller('cv19qaformController', ['$scope', '$stateParams', 'appService', '$timeout', '$state', '$ionicPopup', '$ionicScrollDelegate', function($scope, $stateParams, appService, $timeout, $state, $ionicPopup, $ionicScrollDelegate) {
  $scope.questions = $stateParams.questions
  $scope.regionArr = $stateParams.regionArr
  $scope.content = 'form'
  $scope.form = {}
  $scope.answeryes = function() {
    $ionicPopup.show({
      template: '<div class="list">' +
        '<p class="f18 mb10 mt10">您选择了"是",</p>' +
        '<p class="f18 mb10">是否进入报备页面进行报备?</p>' +
        '</div> ',
      // title: '请填写邮寄信息',
      // subTitle: '申请人选择的结果告知方式为“邮寄”，请填写邮寄信息并点击“告知”按钮',
      scope: $scope,
      buttons: [
        {
          text: '我已报备',
          type: 'button-positive',
          onTap: function(e) {$ionicPopup.confirm({
            template: '<div class="list">' +
              '<p class="f18 mb10 mt10">'+$scope.questions.title+'</p>' +
              '<p class="f18 mb10 mt10">您选择了"是并已完成报备"</p>' +
              '<p class="f18 mb10">回答提交后将不可更改, 是否继续?</p>' +
              '</div> ',
            okText: '提交回答',
            cancelText: '返回'
          }).then(function(res) {
            if (res) {
              $scope.postA()
            }
          })
          }
        },
        {
          text: '<b>前往报备</b>',
          type: 'button-positive',
          onTap: function(e) {
            $scope.goState('scTtbcv19', { regionArr: $scope.regionArr })
          }
        },
      ]
    });
  }
  $scope.submit = function() {
    if (!$scope.form.qState) return
    if (!$scope.user.pgm_person_id) return
    if ($scope.form.qState == 1) {
      $scope.answeryes()
      return
    }
    $ionicPopup.confirm({
      template: '<div class="list">' +
        '<p class="f18 mb10 mt10">'+$scope.questions.title+'</p>' +
        '<p class="f18 mb10 mt10">您选择了"否"</p>' +
        '<p class="f18 mb10">回答提交后将不可更改, 是否继续?</p>' +
        '</div> ',
      okText: '提交回答',
      cancelText: '返回'
    }).then(function(res) {
      if (res) {
        $scope.postA()
      }
    })
  }
  $scope.postA = function() {
    $scope.$emit('loading', 'show');
    var data = $scope.form
    data.questionState = $scope.form.qState == 1 ? '是' : '否'
    data.questionId = $scope.questions.id
    data.pgmPersonId = $scope.user.pgm_person_id
    data.userId = $scope.user.id
    appService.postData(urlMap.qaPostanswer, data, function(res) {
      $scope.$emit('loading', 'hide');
      if (res.code == 200) {
        $scope.alert(res.msg, null, function() {
          $scope.viewGoback()
        })
        return
      }
      $scope.alert(res.msg)
    })
  }
}
]);
