appModule.controller('thxLianluozhanMsgDetailController', ['$scope', '$rootScope', '$stateParams', 'appService', '$state', '$timeout', '$compile', '$sce', function($scope, $rootScope, $stateParams, appService, $state, $timeout, $compile, $sce) {
    $scope.stateName = $state.current.name;
    $scope.id = $stateParams.id
    $scope.replyHtml = 'jiweiLLZmsg' + $scope.id;
    $scope.$on('$ionicView.loaded', function() {
        $scope.getDetail()
    })
    $scope.$on('$ionicView.leave', function() {
        $rootScope.viewGoback = $rootScopeViewGoback
    });
    $scope.getDetail = function() {
        $scope.$emit('loading', 'show');
        appService.get(urlMap.jiweiLLZMsg + '/' + $scope.id, {}, function(res) {
            $scope.$emit('loading', 'hide');
            $scope.msgItem = res.data
            /* 留言附件 */
            $scope.msgItem.imgJson200 = []
            $scope.msgItem.imgListArr900 = []
            $scope.msgItem.vioListArr = []
            var resources = $scope.msgItem.file && [{ url: $scope.msgItem.file }]
            resources && resources.forEach(function(item) {
                var type = $scope.thisfileType(item.url)
                if (type == 1) {
                    item.img200 = $scope.evalRemotePath('200px_' + item.url)
                    $scope.msgItem.imgJson200.push(item)
                    $scope.msgItem.imgListArr900.push($scope.evalRemotePath('900px_' + item.url))
                }
                if (item.type == 2) {
                    item.vio = $sce.trustAsResourceUrl($scope.evalRemotePath(item.url, $scope.vio))
                    $scope.msgItem.vioListArr.push(item)
                }
            })
            if ($scope.msgItem.imgJson200.length) {
                $timeout(function() {
                    $scope.imgsSwipe = new Swiper('#articleImgs', { //图片轮播 
                        zoom: {
                            toggle: false,
                        },
                        pagination: {
                            el: '.swiper-pagination',
                            dynamicBullets: true
                        },
                    });
                })
            }
            /* 富文本回复处理 */
            content = $scope.msgItem.reply && $sce.trustAsHtml($scope.msgItem.reply).$$unwrapTrustedValue();
            //找到<img标签
            var reg = /<img[^>]*>/gi;
            // 匹配出html中的src属性
            var images = content && content.match(reg);
            //包含图片
            if (images && images.length) {
                //解析拼接内容
                for (var i = 0; i < images.length; i++) {
                    var image = images[i],
                        first = image.substr(0, image.indexOf(' ') + 1),
                        next = image.substr(image.indexOf(' ')),
                        regSrc = /src=[\'\"]?([^\'\"]*)[\'\"]?/i,
                        srcStr = image.match(regSrc)[1]
                        ;
                    // 将ng-click事件拼接到html中
                    var final = first + ' ng-click="showReplyImage(' + i + ')"' + next;
                    //为适应点击图片放大，因此将width和height属性过滤掉
                    final = final.replace(/\s+((width)=[\'"]+[0-9]+[\'"]+)/, "").replace(/\s+((height)=[\'"]+[0-9]+[\'"]+)/, "");
                    content = content.replace(image, final);
                    var $li = $('<li class="swiper-slide"><div class="swiper-zoom-container">' + image + '</div></li>');
                    $('#replyResouces > ul').append($li);
                }
                $timeout(function() {
                    $scope.replyimgSwiper = new Swiper('#replyResouces', { //图片轮播 
                        zoom: {
                            toggle: false,
                        },
                        pagination: {
                            el: '.swiper-pagination',
                            dynamicBullets: true
                        },
                    });
                })
                content = $compile(content)($scope); //编译
            }
            $('#' + $scope.replyHtml).html(content);
        })
    }
    $scope.showMsgImage = function(i) {
        $scope.showMsgImageSwiper = true
        $scope.imgsSwipe.slideTo(i, 0, false);
        $('#articleImgs').show();
        $scope.imgsSwipe.update();
    };
    $scope.hideMsgImage = function() {
        $scope.showMsgImageSwiper = false
        $scope.imgsSwipe && $scope.imgsSwipe.zoom.out();
        $('#articleImgs').hide();
    };
    /* 回复图片预览 */
    $scope.showReplyImage = function(i) {
        $scope.showReplyImageSwiper = true
        $scope.replyimgSwiper.slideTo(i, 0, false);
        $('#replyResouces').show();
        $scope.replyimgSwiper.update();
    };
    $scope.hideReplyImage = function() {
        $scope.showReplyImageSwiper = false
        $scope.replyimgSwiper && $scope.replyimgSwiper.zoom.out();
        $('#replyResouces').hide();
    };
    $rootScopeViewGoback = $rootScope.viewGoback;
    $rootScope.viewGoback = function() {
        if ($scope.showMsgImageSwiper) {
            $scope.hideMsgImage();
            return
        }
        if ($scope.showReplyImageSwiper) {
            $scope.hideReplyImage()
            return
        }
        $rootScopeViewGoback()
    }
}
]);
