
appModule.controller('intelligentDFuncLianluozhanMsgController', ['$scope', '$ionicHistory', '$state', 'appService', '$timeout', '$ionicPopup', '$sce', function($scope, $ionicHistory, $state, appService, $timeout, $ionicPopup, $sce) {
  $mScope = $scope.$parent;
  $mScope.currentFun = 'lianluozhanMsg';
  $scope.stateName = $state.current.name;
  $scope.msgList;
  $scope.placeholder = '';
  $rootScopeViewGoback = $scope.viewGoback;
  $scope.form = {};
  $scope.llz;
  $scope.$on('$stateChangeStart',
    function(event, toState, toParams, fromState, fromParams) {
      //离开本页
      $mScope.backState = $scope.stateName;
      $mScope.viewGoback = $rootScopeViewGoback;
    })
  $scope.getLsid = function() {
    appService.get(urlMap.jiweiLLZ + '/app', { regionCode: $scope.districtForFuncList.regionCode }, function(res) {
      $scope.llz = res.data[0]
    })
  }
  $scope.getLsid()
  $scope.submit = function() {
    if (!$scope.llz) {
      $scope.alert("联络站信息获取中, 请稍等");
      return;
    }
    if (!$scope.form.title) {
      $scope.alert("请填写简要内容");
      return;
    }
    if (!$scope.form.content) {
      $scope.alert("请详述内容");
      return;
    }
    if ($scope.form.content.length > 1100) {
      $scope.alert("内容不能超过1000字！");
      return;
    }
    var msg = $scope.form.phone ? $scope.ruleAll() : true
    if (msg != true) {
      $scope.alert(msg);
      return;
    }
    $ionicPopup.confirm({
      // title: '填报成功',
      template: '您是否确认提供的信息真实有效？',
      cancelText: '取消',
      okText: '确认并提交'
    }).then(function(res) {
      if (res) {
        $scope.$emit('loading', 'show');
        var file = $('#localPhotoFile').val() || ($scope.cameraFile && $scope.cameraFile.name) || '';
        $scope.fileType = $scope.thisfileType(file);
        if (!$scope.fileType == 'error') {
          return;
        }
        /* 拍摄上传 */
        if ($scope.cameraFile) {
          var file = $scope.cameraFile;
          var params = {};
          params.httpPath = $scope.httpPath;
          params.type = $scope.fileType;
          params.maxWidth = $scope.maxWidth;
          var ft = new FileTransfer();
          var options = new FileUploadOptions();
          options.fileKey = "file";
          options.mimeType = "multipart/form-data";
          options.fileName = file.name;
          options.params = params;
          //传输进度  
          ft.onprogress = function(progressEvent) {
          };
          ft.upload(file.fullPath, urlMap.fileUpload,
            function(res) {
              if (res.response) res = JSON.parse(res.response)
              var imgUrl = res.imgUrl || res.vioUrl;
              if (imgUrl) {
                $scope.postForm(imgUrl)
              } else {
                $scope.$emit('loading', 'hide');
                $scope.alert("文件上传失败，请联系客服人员！");
              }
            },
            function() {
              $scope.alert("媒体上传失败，请联系客服人员！");
            },
            options);
          return;
        }
        /* 没有附件 */
        if (!$scope.fileType) {
          $scope.postForm();
          return
        }
        /* 本地文件上传 */
        $timeout(function() {
          $("#files").ajaxSubmit({
            url: urlMap.fileUpload,
            type: "post",
            dataType: "json",
            success: function(res) {
              var imgUrl = res.imgUrl || res.vioUrl;
              if (imgUrl) {
                $scope.postForm(imgUrl)
              } else {
                $scope.alert("文件上传失败，请联系客服人员！");
              }
            },
            error: function(xhr) {
              $scope.$emit('loading', 'hide');
              $scope.alert("媒体上传失败，请联系客服人员！");
            },
            beforeSerialize: function() {
            },
            beforeSend: function() {
              //$("#progressNumber").html('0%');
            },
            uploadProgress: function(event, position, total, percentComplete) {
            }
          });
        })
      } else {
        console.log('返回！');
      }
    });
  }
  /***
   * 提交表单
   */
  $scope.postForm = function(fileStr) {
    $scope.form.lsId = $scope.llz.id
    $scope.form.file = fileStr
    $scope.form.regionCode = $scope.districtForFuncList.code
    $scope.form.userId = $scope.user.id
    console.log($scope.form)
    var data = $scope.form;
    appService.postData(urlMap.jiweiLLZMsg, data,
      function(results) {
        $scope.$emit('loading', 'hide');
        if (!results)
          $scope.alert("提交出错，请联系客服人员！");
        else {
          $scope.alert("感谢您，信息提交成功，请耐心等待审核！", null, function() {
            $scope.init()
          });
        }
      })
  }
  $scope.init = function() {
    $scope.form = {}
    $scope.removeFile()
  }
  $scope.removeFile = function(reset) {
    $scope.showUploadFiles = []; //预览
    $scope.showUploadNames = []; //预览失败 显示文件名
    if (!reset) {
      $('#localPhotoFile').val(''); //本地
      $scope.cameraFile = null; //拍摄
    }
  }
  /* 本地附件读取 */
  function readerfile(file) {
    return new Promise(function(resolve, reject) {
      var reader = new FileReader();
      reader.onload = function() {
        resolve(reader.result);
      };
      if (file) {
        reader.readAsDataURL(file)
      }
    })
  }
  $scope.fileChangeEvent = function() {
    var files = $('#localPhotoFile')[0].files;
    for (var i = 0; i < files.length; i++) {
      $scope.fileType = thisfileType(files[i].name);
      if (!$scope.fileType == 'error') {
        return;
      }
      $scope.removeFile('reset');
      try {
        readerfile(files[i]).then(function(e) {
          $scope.$apply(function() {
            if ($scope.fileType == 2) {
              $scope.showUploadFiles.push($sce.trustAsResourceUrl(e))
            }
            else $scope.showUploadFiles.push(e)
          })
        })
      } catch (e) {
        alert(e);
        $scope.$apply(function() {
          $scope.showUploadNames.push(files);
        })
      }
    }
  }
  /***
   * use camera
   */
  $scope.useCamera = function(type) {
    //开始录像(最长录制时间:60秒)
    if (type == 1) navigator.device.capture.captureImage(success, onError, { limit: 1 });
    if (type == 2) navigator.device.capture.captureVideo(success, onError);
    function success(mediaFiles) {
      $scope.showUploadFiles = [];
      for (var i = 0; i < mediaFiles.length; i++) {
        var name = mediaFiles[i].name;
        var path = mediaFiles[i].fullPath;
        $scope.fileType = thisfileType(name);

        if ($scope.fileType == 'error') {
          $scope.alert('上传文件格式有误')
          return;
        }
        $scope.removeFile('reset');
        $scope.$apply(function() {
          if ($scope.fileType == 2) {
            $scope.showUploadFiles.push($sce.trustAsResourceUrl(path))
          }
          else
            $scope.showUploadFiles.push(path)
        })
        $scope.cameraFile = mediaFiles[i];
      }
    }
    //录制失败
    function onError(error) {
      $scope.alert('未进行拍摄！错误码:' + error.code);
    }
  }
  function thisfileType(fileName) {
    var picExt = ".jpg|.jpeg|.png|";
    var vioExt = ".mp4|.3gp|.avi|";
    if (!fileName) return null
    var extName = fileName.substring(fileName.lastIndexOf(".")).toLowerCase();//（把路径中的所有字母全部转换为小写）   
    /* 检查文件类型  */
    if (picExt.indexOf(extName + "|") != -1) return 1;
    if (vioExt.indexOf(extName + "|") != -1) return 2;
    return 'error'
  }
}]);

